%define cachedir  %(vdr-config --cachedir  2>/dev/null || echo ERROR)
%define configdir %(vdr-config --configdir 2>/dev/null || echo ERROR)
%define videodir  %(vdr-config --videodir  2>/dev/null || echo ERROR)

Name:           vdradmin-am
Version:        3.6.4
Release:        2%{?dist}
Summary:        Web interface for VDR

Group:          Applications/Internet
# infobox.js is GPLv2, crystal icons LGPLv2+, everything else GPLv2+
License:        GPLv2+ and GPLv2 and LGPLv2+
URL:            http://andreas.vdr-developer.org/en/
Source0:        http://andreas.vdr-developer.org/download/%{name}-%{version}.tar.bz2
Source1:        %{name}.init
Source2:        %{name}-httpd.conf
Source3:        %{name}.rwtab
Patch0:         %{name}-3.6.2-config.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  vdr-devel >= 1.3.27-0.4
BuildRequires:  gettext
BuildRequires:  perl(Locale::gettext)
Requires:       perl(Locale::gettext)
Requires:       initscripts >= 8.22
Requires(pre):  shadow-utils
Requires(post): /sbin/chkconfig
Requires(preun): /sbin/chkconfig

%description
VDRAdmin-AM is a web interface for managing VDR.  You will need access
to a local or remote VDR install to use this package.


%prep
%setup -q
%patch0
./make.sh utf8clean
%{__perl} -pi -e \
  's|"/video"|"%{videodir}"| ;
   s|^(\$CONFIG\{VDRCONFDIR\}\s*=\s*")[^"]*(.*)|$1%{configdir}$2| ;
   s|-s \$AT_FILENAME |-f \$AT_FILENAME|' \
  vdradmind.pl
%{__perl} -pi -e \
  's/vdradmind\.pl/vdradmind/g ; s/(TH vdradmin )1/${1}8/' vdradmind.pl.1
for f in CREDITS HISTORY ; do
  iconv -f iso-8859-1 -t utf-8 $f > $f.utf-8 ; mv $f.utf-8 $f
done
install -pm 644 %{SOURCE2} .


%build
%{__perl} -pe \
  's|^\s*\$CONFFILE\s*=.*|\$CONFFILE = "vdradmind.conf";| ;
   s|^.*COMPILE_DIR.*$|| ;
   s|/usr/share/vdradmin/template|./template|' \
  vdradmind.pl > vdradmind.tmp
%{__perl} ./vdradmind.tmp --config < /dev/null
./make.sh utf8add
./make.sh po


%install
rm -rf $RPM_BUILD_ROOT
install -Dpm 755 vdradmind.pl $RPM_BUILD_ROOT%{_sbindir}/vdradmind
install -Dpm 644 vdradmind.pl.1 $RPM_BUILD_ROOT%{_mandir}/man8/vdradmind.8
install -dm 755 $RPM_BUILD_ROOT/usr/share/vdradmin/epgimages
cp -pR template $RPM_BUILD_ROOT/usr/share/vdradmin
install -dm 755 $RPM_BUILD_ROOT%{_datadir}/locale
cp -pR locale/* $RPM_BUILD_ROOT%{_datadir}/locale
install -Dpm 640 vdradmind.conf $RPM_BUILD_ROOT/var/lib/vdradmin/vdradmind.conf
install -dm 755 $RPM_BUILD_ROOT/var/{cache,log,run}/vdradmin
install -Dpm 755 %{SOURCE1} $RPM_BUILD_ROOT%{_initrddir}/vdradmind
chmod 755 $RPM_BUILD_ROOT%{_initrddir}/vdradmind
install -Dpm 644 %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/rwtab.d/%{name}
%find_lang vdradmin


%clean
rm -rf $RPM_BUILD_ROOT


%pre
getent group vdradmin >/dev/null || groupadd -r vdradmin
getent passwd vdradmin >/dev/null || \
useradd -r -g vdradmin -d /var/lib/vdradmin -s /sbin/nologin \
    -c "VDR web interface" -M -n vdradmin
exit 0

%post
/sbin/chkconfig --add vdradmind

%preun
if [ $1 -eq 0 ] ; then
    %{_initrddir}/vdradmind stop >/dev/null || :
    /sbin/chkconfig --del vdradmind
fi

%postun
if [ $1 -gt 0 ] ; then
    rm -rf /var/cache/vdradmin/*
    %{_initrddir}/vdradmind try-restart >/dev/null || :
fi


%files -f vdradmin.lang
%defattr(-,root,root,-)
%doc COPYING CREDITS FAQ HISTORY INSTALL LGPL.txt README*
%doc contrib/*example convert.pl
%doc %{name}-httpd.conf autotimer2searchtimer.pl
%config(noreplace) %{_sysconfdir}/rwtab.d/%{name}
%{_initrddir}/vdradmind
%{_sbindir}/vdradmind
/usr/share/vdradmin/
%{_mandir}/man8/vdradmind.8*
%defattr(-,vdradmin,vdradmin,-)
%dir /var/cache/vdradmin/
%dir /var/lib/vdradmin/
%config(noreplace) /var/lib/vdradmin/vdradmind.conf
/var/log/vdradmin/
%dir /var/run/vdradmin/
%defattr(-,root,root,-)


%changelog
* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.6.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Dec 21 2008 Ville Skyttä <ville.skytta at iki.fi> - 3.6.4-1
- 3.6.4, proctitle patch applied upstream.

* Mon Jun 30 2008 Ville Skyttä <ville.skytta at iki.fi> - 3.6.2-1
- 3.6.2.

* Wed Dec 19 2007 Ville Skyttä <ville.skytta at iki.fi> - 3.6.1-1
- 3.6.1.
- Fix translation file permissions/ownership.

* Fri Oct 12 2007 Ville Skyttä <ville.skytta at iki.fi> - 3.6.0-2
- Clean up legacy cruft from init script.

* Fri Sep 21 2007 Ville Skyttä <ville.skytta at iki.fi> - 3.6.0-1
- 3.6.0.

* Mon Aug 27 2007 Ville Skyttä <ville.skytta at iki.fi> - 3.6.0-0.2.rc
- 3.6.0rc.

* Sat Aug 18 2007 Ville Skyttä <ville.skytta at iki.fi> - 3.6.0-0.1.beta
- 3.6.0beta.
- Sync user/group creation scriptlet with current packaging guidelines.
- Add LSB comment block to init script.
- License: GPLv2+ and GPLv2

* Mon Apr  2 2007 Ville Skyttä <ville.skytta at iki.fi> - 3.5.3-2
- Use correct pid file in init script's daemon/killproc/status calls.
- Add /sbin/chkconfig dependencies for scriptlets.

* Thu Jan 25 2007 Ville Skyttä <ville.skytta at iki.fi> - 3.5.3-1
- 3.5.3.
- Install UTF-8 locales too.
- Fix default path to EPG images.

* Fri Dec  8 2006 Ville Skyttä <ville.skytta at iki.fi> - 3.5.2-1
- 3.5.2.

* Sat Dec  2 2006 Ville Skyttä <ville.skytta at iki.fi> - 3.5.1-1
- 3.5.1.
- Add read only root/temporary state config.

* Fri Nov 10 2006 Ville Skyttä <ville.skytta at iki.fi> - 3.5.0-1
- 3.5.0, patch to retain autotimer functionality by default on upgrades.

* Wed Oct 25 2006 Ville Skyttä <ville.skytta at iki.fi> - 3.4.7-3
- Improve description (#211043).

* Tue Oct 17 2006 Ville Skyttä <ville.skytta at iki.fi> - 3.4.7-2
- Move compiled templates to /var/cache/vdradmin, clean them up on upgrades.
- Drop no longer needed Obsoletes and Provides.
- Prune pre-3.4.4 changelog entries.

* Sat Sep 30 2006 Ville Skyttä <ville.skytta at iki.fi> - 3.4.7-1
- 3.4.7.
- Install optional Apache proxy snippet as doc, not in-place.

* Tue Sep 26 2006 Ville Skyttä <ville.skytta at iki.fi> - 3.4.6-3
- Redirect stdin and stdout to /dev/null in the init script.

* Sun Jul 23 2006 Ville Skyttä <ville.skytta at iki.fi> - 3.4.6-2
- Improve default config, enable VFAT compatiblity by default.

* Fri Jul 14 2006 Ville Skyttä <ville.skytta at iki.fi> - 3.4.6-1
- 3.4.6.
- Clean up no longer relevant upgrade compat from %%post.

* Thu May 18 2006 Ville Skyttä <ville.skytta at iki.fi> - 3.4.5a-1
- 3.4.5a.

* Fri Apr  7 2006 Ville Skyttä <ville.skytta at iki.fi> - 3.4.4-1
- 3.4.4.

* Thu Mar 30 2006 Ville Skyttä <ville.skytta at iki.fi> - 3.4.4-0.1.rc
- 3.4.4rc.

* Mon Mar 27 2006 Ville Skyttä <ville.skytta at iki.fi> - 3.4.4-0.1.beta2
- 3.4.4beta2.

* Wed Mar  8 2006 Ville Skyttä <ville.skytta at iki.fi> - 3.4.4-0.1.beta
- 3.4.4beta.
